<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>FormulaRecordAggregate (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FormulaRecordAggregate (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaRecordAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/DataValidityTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="FormulaRecordAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.aggregates</div>
    <h2 title="Class FormulaRecordAggregate" class="title">Class FormulaRecordAggregate</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../../org/apache/poi/hssf/record/RecordBase.html"
                       title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordBase</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                               title="class in org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates.RecordAggregate</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.hssf.record.aggregates.FormulaRecordAggregate</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                           title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">FormulaRecordAggregate</span>
extends <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
           title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a>
implements <a href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
              title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></pre>
                <div class="block">The formula record aggregate is used to join together the formula record and it's
                    (optional) string record and (optional) Shared Formula Record (template reads, excel optimization).
                </div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Glen Stampoultzis (glens at apache.org), Vladimirs Abramovs(Vladimirs.Abramovs at
                        exigenservices.com) - Array Formula support
                    </dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.PositionTrackingVisitor.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate.PositionTrackingVisitor</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                       title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#FormulaRecordAggregate-org.apache.poi.hssf.record.FormulaRecord-org.apache.poi.hssf.record.StringRecord-org.apache.poi.hssf.record.aggregates.SharedValueManager-">FormulaRecordAggregate</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">FormulaRecord</a>&nbsp;formulaRec,
                                    <a href="../../../../../../org/apache/poi/hssf/record/StringRecord.html"
                                       title="class in org.apache.poi.hssf.record">StringRecord</a>&nbsp;stringRec,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                       title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;svm)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getArrayFormulaRange--">getArrayFormulaRange</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getColumn--">getColumn</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">FormulaRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getFormulaRecord--">getFormulaRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getFormulaTokens--">getFormulaTokens</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getRow--">getRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/hssf/record/StringRecord.html"
                                        title="class in org.apache.poi.hssf.record">StringRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getStringRecord--">getStringRecord</a></span>()</code>
                                    <div class="block">debug only
                                        TODO - encapsulate
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getStringValue--">getStringValue</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#getXFIndex--">getXFIndex</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#isPartOfArrayFormula--">isPartOfArrayFormula</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#notifyFormulaChanging--">notifyFormulaChanging</a></span>()</code>
                                    <div class="block">Should be called by any code which is either deleting this
                                        formula cell, or changing
                                        its type.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#removeArrayFormula-int-int-">removeArrayFormula</a></span>(int&nbsp;rowIndex,
                                    int&nbsp;columnIndex)</code>
                                    <div class="block">Removes an array formula</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setArrayFormula-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.formula.ptg.Ptg:A-">setArrayFormula</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;r,
                                    <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                       title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setCachedBooleanResult-boolean-">setCachedBooleanResult</a></span>(boolean&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setCachedDoubleResult-double-">setCachedDoubleResult</a></span>(double&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setCachedErrorResult-org.apache.poi.ss.usermodel.FormulaError-">setCachedErrorResult</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&nbsp;error)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setCachedErrorResult-int-">setCachedErrorResult</a></span>(int&nbsp;errorCode)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setCachedStringResult-java.lang.String-">setCachedStringResult</a></span>(java.lang.String&nbsp;value)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setColumn-short-">setColumn</a></span>(short&nbsp;col)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setParsedExpression-org.apache.poi.ss.formula.ptg.Ptg:A-">setParsedExpression</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>
                                    <div class="block">Also checks for a related shared formula and unlinks it if
                                        found
                                    </div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setRow-int-">setRow</a></span>(int&nbsp;row)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#setXFIndex-short-">setXFIndex</a></span>(short&nbsp;xf)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#unlinkSharedFormula--">unlinkSharedFormula</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></span>(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</code>
                                    <div class="block">Visit each of the atomic BIFF records contained in this <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                        in the order
                                        that they should be written to file.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.record.aggregates.<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#getRecordSize--">getRecordSize</a>,
                                    <a href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#serialize-int-byte:A-">serialize</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="FormulaRecordAggregate-org.apache.poi.hssf.record.FormulaRecord-org.apache.poi.hssf.record.StringRecord-org.apache.poi.hssf.record.aggregates.SharedValueManager-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>FormulaRecordAggregate</h4>
                                <pre>public&nbsp;FormulaRecordAggregate(<a
                                        href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">FormulaRecord</a>&nbsp;formulaRec,
                              <a href="../../../../../../org/apache/poi/hssf/record/StringRecord.html"
                                 title="class in org.apache.poi.hssf.record">StringRecord</a>&nbsp;stringRec,
                              <a href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                 title="class in org.apache.poi.hssf.record.aggregates">SharedValueManager</a>&nbsp;svm)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>stringRec</code> - may be <code>null</code> if this formula does not have
                                        a cached text
                                        value.
                                    </dd>
                                    <dd><code>svm</code> - the <a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/SharedValueManager.html"
                                            title="class in org.apache.poi.hssf.record.aggregates"><code>SharedValueManager</code></a>
                                        for the current sheet
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFormulaRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormulaRecord</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/FormulaRecord.html"
                                        title="class in org.apache.poi.hssf.record">FormulaRecord</a>&nbsp;getFormulaRecord()</pre>
                            </li>
                        </ul>
                        <a name="getStringRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStringRecord</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/hssf/record/StringRecord.html"
                                        title="class in org.apache.poi.hssf.record">StringRecord</a>&nbsp;getStringRecord()</pre>
                                <div class="block">debug only
                                    TODO - encapsulate
                                </div>
                            </li>
                        </ul>
                        <a name="getXFIndex--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXFIndex</h4>
                                <pre>public&nbsp;short&nbsp;getXFIndex()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html#getXFIndex--">getXFIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setXFIndex-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setXFIndex</h4>
                                <pre>public&nbsp;void&nbsp;setXFIndex(short&nbsp;xf)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html#setXFIndex-short-">setXFIndex</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColumn-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumn</h4>
                                <pre>public&nbsp;void&nbsp;setColumn(short&nbsp;col)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html#setColumn-short-">setColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the column this cell defines</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow</h4>
                                <pre>public&nbsp;void&nbsp;setRow(int&nbsp;row)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html#setRow-int-">setRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the row this cell occurs within</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumn</h4>
                                <pre>public&nbsp;short&nbsp;getColumn()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html#getColumn--">getColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the column this cell defines within the row</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;int&nbsp;getRow()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html#getRow--">getRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/CellValueRecordInterface.html"
                                                title="interface in org.apache.poi.hssf.record">CellValueRecordInterface</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the row this cell occurs on</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>visitContainedRecords</h4>
                                <pre>public&nbsp;void&nbsp;visitContainedRecords(<a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.RecordVisitor.html"
                                        title="interface in org.apache.poi.hssf.record.aggregates">RecordAggregate.RecordVisitor</a>&nbsp;rv)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">RecordAggregate</a></code></span>
                                </div>
                                <div class="block">Visit each of the atomic BIFF records contained in this <a
                                        href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                        title="class in org.apache.poi.hssf.record.aggregates"><code>RecordAggregate</code></a>
                                    in the order
                                    that they should be written to file. Implementors may or may not return the actual
                                    <a href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                       title="class in org.apache.poi.hssf.record"><code>Record</code></a>s being used
                                    to manage POI's internal implementation. Callers should not
                                    assume either way, and therefore only attempt to modify those <a
                                            href="../../../../../../org/apache/poi/hssf/record/Record.html"
                                            title="class in org.apache.poi.hssf.record"><code>Record</code></a>s after
                                    cloning
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html#visitContainedRecords-org.apache.poi.hssf.record.aggregates.RecordAggregate.RecordVisitor-">visitContainedRecords</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../../org/apache/poi/hssf/record/aggregates/RecordAggregate.html"
                                                title="class in org.apache.poi.hssf.record.aggregates">RecordAggregate</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getStringValue--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getStringValue</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getStringValue()</pre>
                            </li>
                        </ul>
                        <a name="setCachedStringResult-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCachedStringResult</h4>
                                <pre>public&nbsp;void&nbsp;setCachedStringResult(java.lang.String&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setCachedBooleanResult-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCachedBooleanResult</h4>
                                <pre>public&nbsp;void&nbsp;setCachedBooleanResult(boolean&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="setCachedErrorResult-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCachedErrorResult</h4>
                                <pre>public&nbsp;void&nbsp;setCachedErrorResult(int&nbsp;errorCode)</pre>
                            </li>
                        </ul>
                        <a name="setCachedErrorResult-org.apache.poi.ss.usermodel.FormulaError-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCachedErrorResult</h4>
                                <pre>public&nbsp;void&nbsp;setCachedErrorResult(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                        title="enum in org.apache.poi.ss.usermodel">FormulaError</a>&nbsp;error)</pre>
                            </li>
                        </ul>
                        <a name="setCachedDoubleResult-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setCachedDoubleResult</h4>
                                <pre>public&nbsp;void&nbsp;setCachedDoubleResult(double&nbsp;value)</pre>
                            </li>
                        </ul>
                        <a name="getFormulaTokens--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFormulaTokens</h4>
                                <pre>public&nbsp;<a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                    title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;getFormulaTokens()</pre>
                            </li>
                        </ul>
                        <a name="setParsedExpression-org.apache.poi.ss.formula.ptg.Ptg:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setParsedExpression</h4>
                                <pre>public&nbsp;void&nbsp;setParsedExpression(<a
                                        href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</pre>
                                <div class="block">Also checks for a related shared formula and unlinks it if found
                                </div>
                            </li>
                        </ul>
                        <a name="unlinkSharedFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>unlinkSharedFormula</h4>
                                <pre>public&nbsp;void&nbsp;unlinkSharedFormula()</pre>
                            </li>
                        </ul>
                        <a name="notifyFormulaChanging--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>notifyFormulaChanging</h4>
                                <pre>public&nbsp;void&nbsp;notifyFormulaChanging()</pre>
                                <div class="block">Should be called by any code which is either deleting this formula
                                    cell, or changing
                                    its type. This method gives the aggregate a chance to unlink any shared formula
                                    that may be involved with this cell formula.
                                </div>
                            </li>
                        </ul>
                        <a name="isPartOfArrayFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isPartOfArrayFormula</h4>
                                <pre>public&nbsp;boolean&nbsp;isPartOfArrayFormula()</pre>
                            </li>
                        </ul>
                        <a name="getArrayFormulaRange--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getArrayFormulaRange</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;getArrayFormulaRange()</pre>
                            </li>
                        </ul>
                        <a name="setArrayFormula-org.apache.poi.ss.util.CellRangeAddress-org.apache.poi.ss.formula.ptg.Ptg:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setArrayFormula</h4>
                                <pre>public&nbsp;void&nbsp;setArrayFormula(<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;r,
                            <a href="../../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                               title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</pre>
                            </li>
                        </ul>
                        <a name="removeArrayFormula-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>removeArrayFormula</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                        title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;removeArrayFormula(int&nbsp;rowIndex,
                                           int&nbsp;columnIndex)</pre>
                                <div class="block">Removes an array formula</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the range of the array formula containing the specified cell. Never
                                        <code>null</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/FormulaRecordAggregate.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/DataValidityTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/aggregates/MergedCellsTable.html"
               title="class in org.apache.poi.hssf.record.aggregates"><span class="typeNameLink">Next&nbsp;Class</span></a>
        </li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/aggregates/FormulaRecordAggregate.html"
               target="_top">Frames</a></li>
        <li><a href="FormulaRecordAggregate.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.hssf.record.aggregates.RecordAggregate">Nested</a>&nbsp;|&nbsp;
            </li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
